summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-10 13:14:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-10 13:14:28 +0000
commitda0bb7224c43d5f9831b033750bd967da124132b (patch)
treefef35a2dd9d69c80509b729e4f664e63240689cf /dev-python
parent0f156be9c41e4b6ea072452246ecfeffa9da1589 (diff)
downloadsrcux-da0bb7224c43d5f9831b033750bd967da124132b.tar.gz
srcux-da0bb7224c43d5f9831b033750bd967da124132b.tar.xz
srcux-da0bb7224c43d5f9831b033750bd967da124132b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-13.11.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.6.6.ebuild91
-rw-r--r--dev-python/ansible-compat/Manifest1
-rw-r--r--dev-python/ansible-compat/ansible-compat-2.0.3.ebuild57
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.22.10.ebuild65
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.25.10.ebuild70
-rw-r--r--dev-python/coverage/coverage-6.3.2-r1.ebuild9
-rw-r--r--dev-python/ctypescrypto/Manifest1
-rw-r--r--dev-python/ctypescrypto/ctypescrypto-0.5.ebuild41
-rw-r--r--dev-python/ctypescrypto/ctypescrypto-9999.ebuild41
-rw-r--r--dev-python/ctypescrypto/metadata.xml16
-rw-r--r--dev-python/exifread/Manifest1
-rw-r--r--dev-python/exifread/exifread-3.0.0.ebuild22
-rw-r--r--dev-python/flaky/flaky-3.7.0-r2.ebuild42
-rw-r--r--dev-python/genty/genty-1.3.2-r2.ebuild31
-rw-r--r--dev-python/gpep517/Manifest1
-rw-r--r--dev-python/gpep517/gpep517-6.ebuild44
-rw-r--r--dev-python/ipyparallel/Manifest1
-rw-r--r--dev-python/ipyparallel/ipyparallel-8.3.0.ebuild88
-rw-r--r--dev-python/nbclient/Manifest1
-rw-r--r--dev-python/nbclient/nbclient-0.6.3.ebuild46
-rw-r--r--dev-python/nose/nose-1.3.7_p20211111_p1-r1.ebuild58
-rw-r--r--dev-python/psutil/psutil-5.9.0.ebuild2
-rw-r--r--dev-python/pyghmi/Manifest1
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.40.ebuild39
-rw-r--r--dev-python/python-nbxmpp/Manifest1
-rw-r--r--dev-python/python-nbxmpp/python-nbxmpp-3.0.1.ebuild34
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/redis-py-4.3.1.ebuild72
-rw-r--r--dev-python/repoze-sphinx-autointerface/Manifest1
-rw-r--r--dev-python/repoze-sphinx-autointerface/metadata.xml11
-rw-r--r--dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-0.8-r1.ebuild31
-rw-r--r--dev-python/simplekml/Manifest1
-rw-r--r--dev-python/simplekml/simplekml-1.3.6.ebuild16
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-3.0.0.ebuild71
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.6.1.ebuild103
-rw-r--r--dev-python/types-python-dateutil/Manifest2
-rw-r--r--dev-python/types-python-dateutil/types-python-dateutil-2.8.15.ebuild (renamed from dev-python/types-python-dateutil/types-python-dateutil-2.8.12.ebuild)0
-rw-r--r--dev-python/types-pytz/Manifest2
-rw-r--r--dev-python/types-pytz/types-pytz-2021.3.8.ebuild (renamed from dev-python/types-pytz/types-pytz-2021.3.6.ebuild)0
-rw-r--r--dev-python/unittest-mixins/unittest-mixins-1.6-r2.ebuild29
-rw-r--r--dev-python/zope-testrunner/Manifest2
-rw-r--r--dev-python/zope-testrunner/files/zope-testrunner-5.3.0-fix-test-py3.10.patch64
-rw-r--r--dev-python/zope-testrunner/metadata.xml11
-rw-r--r--dev-python/zope-testrunner/zope-testrunner-5.3.0.ebuild42
-rw-r--r--dev-python/zope-testrunner/zope-testrunner-5.4.0.ebuild38
52 files changed, 1037 insertions, 304 deletions
diff --git a/dev-python/Faker/Faker-13.11.0.ebuild b/dev-python/Faker/Faker-13.11.0.ebuild
new file mode 100644
index 000000000000..cfcce92aba99
--- /dev/null
+++ b/dev-python/Faker/Faker-13.11.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 4a6a65f1bca5..a433f323cf7b 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,2 +1,3 @@
+DIST Faker-13.11.0.tar.gz 1500499 BLAKE2B 41fdda0cbe46a82fca75d49894f4543ba6e2e0f727d581c1214daa2f6bfbab2c11c3489bdbb349047038583687e177295d8fa0690f288b9fe0878deeb55a012f SHA512 74acf9d05a769851217f8a05a3ef84ac95af2b5c4292f05ff7f8be2670de9815074dc3fddb8d88170568910c0c4f2764d4ee61ccba5743071d9cf48f52520216
DIST Faker-13.6.0.tar.gz 1488090 BLAKE2B 9b4485fc97b0c22f9cce298a55e9dd91c05ea9a56514618c1355c420f3ce6beaa599caa51d909803e968ab918c4c841f459da3d06dd78fbfe984d22b323e2cbe SHA512 bcfb49777640f9b605e164b91380aee77206614f055a321b905ead1649219c081254e57ea80045dd692d061e53e69201ad356daaf6727655c87d65b16752c4cc
DIST Faker-13.7.0.tar.gz 1489106 BLAKE2B 8b12782b836915f83d4a05cf735d0e00544d67af595239535822842bcd8a5b08ee43d6f0ab17a813cbda194874cfc3d5a983e018a6655dfe84f9a5151562db8f SHA512 84299a5a8f4fb01bad2eb337627878ad54a835a79e6573300435e19b1d9b6945a2e67260ea6c9a8db586657e11b4a4c5f25f83c170430162aeb37f87cc0f5f4c
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 5e72e3f4634c..066089c6944c 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -2,3 +2,4 @@ DIST aesara-rel-2.5.3.tar.gz 8191431 BLAKE2B 698bc3b6f7e84288be3318796989d13d7de
DIST aesara-rel-2.6.3.tar.gz 7845423 BLAKE2B 66b84a10337efc01e37d82793da56b61b1825829d982e24e0f93ebb67cd3c22e5bb2e37c71ab8bd9648b039efaf4c667dc53df2a9613ba9370c2138eb74ca400 SHA512 e0a804c0c3c1cd24753a237c386df9600d2b01cf4991aeca3d794df4068f584a9ab5341b72fa5695ccb9d06f1e4954f450436e3a7ebe4c2efc1354a5c2e5979d
DIST aesara-rel-2.6.4.tar.gz 7845688 BLAKE2B bfd0222c2a8d8e22abb56b785b73a121032832417562046445b8e0b2f6461326ba760d1839fd1acac2215a1547ed48d613998cb4915a07521f4d976a32a811b9 SHA512 a9f47bb4718fab974a35d7eab1b2a5ab8ea7d911dd9d92a791763a659f96b52b9832532e5e13aad10ac8e2f0927d2cc3e97c09e84046fee125925b3ac2898893
DIST aesara-rel-2.6.5.tar.gz 7849097 BLAKE2B 85bc1579cd22ccc35f727ede3b337d1bdb613924f7568ac403ca1d2da42e442006afdd80e8eaeed14e0c2bd7a550127b9474b9424ffe800426203e1e31e65256 SHA512 cb5ff0f8c5a475ab733000df9d96ea3410c5760f263bb8a8f1de093f47fca3d7428d37253ae114d61d925777e98ab0c8f698f7864615ea32fe20efe6fc5042a4
+DIST aesara-rel-2.6.6.tar.gz 7847814 BLAKE2B e4edd575d49f548fab0ef971dbab88beeb43859ec7b80612145ed490b31d6e7dc6b6818653396938124a22fa2f54f8d151c5039cc2e9c9070c88cce9cb1c5596 SHA512 028a208fc7e5921ce1df34dd23a42cf90d419e06f0192d9a006ebfb8c5f36e35e347214e53f53e688a1144063c7f4853a8cd44eef6fc205225147116839008de
diff --git a/dev-python/aesara/aesara-2.6.6.ebuild b/dev-python/aesara/aesara-2.6.6.ebuild
new file mode 100644
index 000000000000..e14277ca56ad
--- /dev/null
+++ b/dev-python/aesara/aesara-2.6.6.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+SRC_URI="
+ https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+ -> ${MY_P}.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/aesara-2.6.5-compiledir-tid.patch
+)
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AESARA_FLAGS="cxx=${CXX}"
+ AESARA_FLAGS+=",config.gcc__cxxflags=\"${CXXFLAGS}\""
+ AESARA_FLAGS+=',compiledir_format="compiledir_%(thread_id)s"'
+
+ epytest -p xdist.plugin -n "$(makeopts_jobs)"
+ # clean up the compiledir, as it can grow pretty large
+ rm -r "${HOME}"/.aesara || die
+}
+
+python_compile() {
+ esetup.py build_py
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/ansible-compat/Manifest b/dev-python/ansible-compat/Manifest
index 7c4e709427c7..fe1285517014 100644
--- a/dev-python/ansible-compat/Manifest
+++ b/dev-python/ansible-compat/Manifest
@@ -1 +1,2 @@
DIST ansible-compat-2.0.2.tar.gz 35072 BLAKE2B 288baaa4bb535da5fc41ea6a700d4eaf969b466848a592f3c919cac55b237cc81b9bfcd800a429b89c82781b29e80dc6486ea9bf0621ae8a3f249139021030e2 SHA512 ae278498f58ac1eb663115215e7ef6bda7279ff02d4a1f09e8301b88681d8c46f13a620b765cbbbacfc3d1fe8b294d5258cddbf7fd2f2cb54f0bde85fc9af593
+DIST ansible-compat-2.0.3.tar.gz 35328 BLAKE2B cd5a476eb23de667381c9a6667d6bd781821fc50e1aec65ca47e8bb9d47beccbea0ee62f763ed421c18c95d9f1d1c14f5cc2a62bcc77d664213eb614ccd568e4 SHA512 0887e5da23041d02be0371bfd9569256252c586f80cd92ab855b32172328989c8160e57169aff6d72f1c3c89c9d3a00b56293e3badc0dc4aad135b1992d06599
diff --git a/dev-python/ansible-compat/ansible-compat-2.0.3.ebuild b/dev-python/ansible-compat/ansible-compat-2.0.3.ebuild
new file mode 100644
index 000000000000..df7487147198
--- /dev/null
+++ b/dev-python/ansible-compat/ansible-compat-2.0.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Contains functions that facilitate working with various versions of Ansible"
+HOMEPAGE="
+ https://pypi.org/project/ansible-compat/
+ https://github.com/ansible/ansible-compat/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=app-admin/ansible-base-2.9.0[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/subprocess-tee-0.3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-6.3.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-markdown[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-plus[${PYTHON_USEDEP}]
+ )
+"
+
+# All these tests attempt to connect to galaxy.ansible.com
+EPYTEST_DESELECT=(
+ test/test_runtime.py::test_install_collection
+ test/test_runtime.py::test_install_collection_dest
+ test/test_runtime.py::test_prepare_environment_with_collections
+ test/test_runtime.py::test_prerun_reqs_v1
+ test/test_runtime.py::test_prerun_reqs_v2
+ test/test_runtime.py::test_require_collection_no_cache_dir
+ test/test_runtime.py::test_require_collection_wrong_version
+ test/test_runtime.py::test_require_collection
+ test/test_runtime.py::test_upgrade_collection
+ test/test_runtime_example.py::test_runtime
+)
+
+distutils_enable_sphinx docs \
+ dev-python/ansible-pygments \
+ dev-python/myst_parser \
+ dev-python/sphinx_ansible_theme
+
+distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index d852f1372c45..930b049583e6 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
+DIST boto3-1.22.10.tar.gz 497369 BLAKE2B 448cb581fa31746083da4271436071b1ab5625207e5cc0560746beca9216a9748191206238a950a5a04cc178c20b744d19d3d99c1aefb775eaa79c5b96b75cbd SHA512 0e4ed0cf8f14997b4e61d926491fba05e4ec06dfae347e65ab3dceb48d61e24860e82fb922a7eac73e1e1322679418c96915c62f6279bad694685361d9970d7d
DIST boto3-1.22.4.tar.gz 495554 BLAKE2B 4c06e2101bcc96e4fab7e088f8593c7b1cfd2b07431d4cd062666df6c1f5d55d9b7fb594268e9a86c4793d35bc3d8de2644244728cf62833dfefb62525eedbdc SHA512 26dbd9ed1af900f7466a1767ada3fb8ee86fa09ca21733f857e2748d98525661fc76e69d75440fe913260e75245cf30298493417d055399a242af0aedaffd349
DIST boto3-1.22.7.tar.gz 496523 BLAKE2B 400370268e51b229bd3c465ccc43df93b713e3088baf76cbb7367cdc75b8374b787fee635cc921b431d5e1471a60a990d57a306d8ebdb14f0c462f211b323f99 SHA512 a7b56723a0fd692496a4e397ca29139f0813bfcea365877900441f01f38e5fd15d20a1642a5717940994bdfc840540d38b9a594e2510ab070ae62fadf9b4958b
DIST boto3-1.22.8.tar.gz 496856 BLAKE2B c7707eae7a5966dbe04e86c35270674f532286d3fbed46580836729988e55cdeba872496de750af89de6a7afdc6b19bbe4f8b9025580dc9b825cd04a87530b21 SHA512 43498179a59c2a1c9401f0629fbf0f3ff1dd51d2208ade828ff283b44be28fd539af68d4fb274e5e8c6c01bd03699872cd1a81d006f4c929dcdbf7227f77416f
diff --git a/dev-python/boto3/boto3-1.22.10.ebuild b/dev-python/boto3/boto3-1.22.10.ebuild
new file mode 100644
index 000000000000..b62a1bd2ec8f
--- /dev/null
+++ b/dev-python/boto3/boto3-1.22.10.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ecae7f7343a9..9087ea77fda7 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
+DIST botocore-1.25.10.tar.gz 8963726 BLAKE2B 9823581417f4ddbca840fec85421c01089987ae53fff3825463a79e2663c753d0aa00c2f3dc714d5bf62ee491b4521964869c8e39c5f88ebd562676267b35831 SHA512 6daaec14be1cafdf43bdb4b182a31649d88ee3a9b7e2a88409e3a9fc5279479f78800a0b49ec405936e6695ac4c1b672a62b31b2486049193734ade98f275a10
DIST botocore-1.25.4.tar.gz 8955210 BLAKE2B 50880e9d7f57e4f3b8662625a64e9470eaf8a984fdbcc34239bfe604544ccd3ac62e953d7be4e1b486fab4ad0d571361ffc9fdc43cb860cd37a95c33d7b824b2 SHA512 a04e03271d217ab1ef5488dcfedda2904b8e628dae969c74e284d004ae72f18d9734d3f7cf775235c8384b30f4d0fbfda7c0e5dcd687039ddb7b339330e63317
DIST botocore-1.25.7.tar.gz 8961319 BLAKE2B 1d22e3cd625252f1e6c6b13b9317750b48765150006ca0b632fd15aa6f31079855a1b6c7201cbed0ebfc7147a87389e1a4445d0736829554f8063b68944107cf SHA512 a22a35a1de87aff2efa7b4b5f478e44be7ce2eadf0b7da43af2a0de9ba315a9b75ac59da29a8f10ed15bbf6ff4d76d904407f95a7f8f08049c546450bd6c7c4d
DIST botocore-1.25.8.tar.gz 8961194 BLAKE2B 4a13f5b01352ff0cb8932431e9431229a73fe922c2719ee571fa26ed55faa0315e0bdd561dcf2069748d13c809c7c5b7e2a35051d5d8bbd498677658b69ff454 SHA512 bc78c24629308d4d8cb4190646b7f465713a5462c54ff0946fdbcfa8b87951fa337a2f8f97bbd27991a79da03d140b890f2b021f865c7550b791d2fbb95282a1
diff --git a/dev-python/botocore/botocore-1.25.10.ebuild b/dev-python/botocore/botocore-1.25.10.ebuild
new file mode 100644
index 000000000000..245c8cbd8472
--- /dev/null
+++ b/dev-python/botocore/botocore-1.25.10.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/coverage/coverage-6.3.2-r1.ebuild b/dev-python/coverage/coverage-6.3.2-r1.ebuild
index f38b2ef157ef..3c7244b6ef91 100644
--- a/dev-python/coverage/coverage-6.3.2-r1.ebuild
+++ b/dev-python/coverage/coverage-6.3.2-r1.ebuild
@@ -48,8 +48,13 @@ python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local -x PYTEST_PLUGINS=_hypothesis_pytestplugin,flaky.flaky_pytest_plugin,xdist.plugin
- if [[ ${EPYTHON} != pypy* ]]; then
- cp "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so \
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" \
coverage/ || die
test_tracer c
rm coverage/*.so || die
diff --git a/dev-python/ctypescrypto/Manifest b/dev-python/ctypescrypto/Manifest
deleted file mode 100644
index 26b4a90612f0..000000000000
--- a/dev-python/ctypescrypto/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST ctypescrypto-0.5.tar.gz 44667 BLAKE2B abf24a4a5dc5ea1d977427f781e44433aaeac716b4f1f8d6f23e7f8de7debae75cfff80e72c369b64b8b9299f4b058763d42c5f21cd499f9b5689481afa5a538 SHA512 96ca12145be503a5b343d936cde172039057e5a2308fb6f6f65e14fe859d4e98d93ffb996849e391cf0c474425ee6243fd4c7998b088938a21456965d135188f
diff --git a/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild b/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild
deleted file mode 100644
index dcc047de04ff..000000000000
--- a/dev-python/ctypescrypto/ctypescrypto-0.5.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python interface to some openssl function based on ctypes module"
-HOMEPAGE="https://github.com/vbwagner/ctypescrypto"
-if [ "${PV}" = "9999" ]; then
- EGIT_REPO_URI="https://github.com/vbwagner/ctypescrypto.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/vbwagner/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
-fi
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="gost test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="test? ( gost )"
-
-RDEPEND="gost? ( dev-libs/gost-engine:= )"
-
-python_prepare_all() {
- # Remove failed tests
- rm tests/testpkey.py || die "rm failed"
- # Disable test
- sed -i '/test_verify_by_filestore/i\\ @unittest.skip("disable")' \
- tests/testx509.py || die "sed failed for tests/testx509.py"
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- "${PYTHON}" -m unittest discover -v tests || die "tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/ctypescrypto/ctypescrypto-9999.ebuild b/dev-python/ctypescrypto/ctypescrypto-9999.ebuild
deleted file mode 100644
index dcc047de04ff..000000000000
--- a/dev-python/ctypescrypto/ctypescrypto-9999.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=no
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python interface to some openssl function based on ctypes module"
-HOMEPAGE="https://github.com/vbwagner/ctypescrypto"
-if [ "${PV}" = "9999" ]; then
- EGIT_REPO_URI="https://github.com/vbwagner/ctypescrypto.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/vbwagner/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
-fi
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="gost test"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="test? ( gost )"
-
-RDEPEND="gost? ( dev-libs/gost-engine:= )"
-
-python_prepare_all() {
- # Remove failed tests
- rm tests/testpkey.py || die "rm failed"
- # Disable test
- sed -i '/test_verify_by_filestore/i\\ @unittest.skip("disable")' \
- tests/testx509.py || die "sed failed for tests/testx509.py"
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- "${PYTHON}" -m unittest discover -v tests || die "tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/ctypescrypto/metadata.xml b/dev-python/ctypescrypto/metadata.xml
deleted file mode 100644
index 21cd294f90ea..000000000000
--- a/dev-python/ctypescrypto/metadata.xml
+++ /dev/null
@@ -1,16 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>zerochaos@gentoo.org</email>
- <name>Rick Farina</name>
- </maintainer>
-
- <use>
- <flag name="gost">Build with support for GOST Message Authentication Code</flag>
- </use>
- <origin>gentoo-staging</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/exifread/Manifest b/dev-python/exifread/Manifest
index 3a4f8cbc30f5..0f724a1a9276 100644
--- a/dev-python/exifread/Manifest
+++ b/dev-python/exifread/Manifest
@@ -1 +1,2 @@
DIST exifread-2.3.2.tar.gz 42796 BLAKE2B 0dca89f484a5f21ee2510af6ab069ba76dfeb4a31bc79261951ef062bb695f6f1adc6c7378ecbdf0e1a46540ec767555cb46bb77ab39b002199ac490ca58fd6b SHA512 d37cc6a70793aa894947b1b24f973ff2f9c15ba3dfe99674c5ea61e5a469b259035fc48a1d2c4d4d7021289bad431e57a4e137e2d4feb0c5352b0b162e61376a
+DIST exifread-3.0.0.tar.gz 44891 BLAKE2B 867644edfabaee6c90b4dd540a4225e74df45babee69ac3935644033d0e973b5d06cfc3fbba521ca352bda08eda44548e233c203b66978e4021db28ec45b29d6 SHA512 3b819718f5fc9f7807dc245908c2724d1023ce6345b6f6a84ea0c10d62b47939ae4dce23db868d67b6eeaa07e5c88fd406520106f31883d15442eaabcebb0746
diff --git a/dev-python/exifread/exifread-3.0.0.ebuild b/dev-python/exifread/exifread-3.0.0.ebuild
new file mode 100644
index 000000000000..a184cd25bc9a
--- /dev/null
+++ b/dev-python/exifread/exifread-3.0.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+MY_PN="exif-py"
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy to use Python module to extract Exif metadata from tiff and jpeg files"
+HOMEPAGE="
+ https://pypi.org/project/ExifRead/
+ https://github.com/ianare/exif-py
+"
+SRC_URI="https://github.com/ianare/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
diff --git a/dev-python/flaky/flaky-3.7.0-r2.ebuild b/dev-python/flaky/flaky-3.7.0-r2.ebuild
new file mode 100644
index 000000000000..e6b8ab3fd05b
--- /dev/null
+++ b/dev-python/flaky/flaky-3.7.0-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for nose or py.test that automatically reruns flaky tests"
+HOMEPAGE="https://pypi.org/project/flaky/ https://github.com/box/flaky"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ dev-python/genty[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/nose[${PYTHON_USEDEP}]
+ ' python3_{8..10} pypy3)
+ )
+"
+
+python_test() {
+ epytest -k 'example and not options' --doctest-modules test/test_pytest/ || die
+ epytest -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+ epytest --force-flaky --max-runs 2 test/test_pytest/test_pytest_options_example.py || die
+
+ # please keep this in sync with python_gen_cond_dep!
+ if has "${EPYTHON}" python3_{8..10} pypy3; then
+ "${EPYTHON}" -m nose --with-flaky --exclude="test_nose_options_example" test/test_nose/ || die
+ "${EPYTHON}" -m nose --with-flaky --force-flaky --max-runs 2 test/test_nose/test_nose_options_example.py || die
+ fi
+}
diff --git a/dev-python/genty/genty-1.3.2-r2.ebuild b/dev-python/genty/genty-1.3.2-r2.ebuild
new file mode 100644
index 000000000000..cb3cb73defad
--- /dev/null
+++ b/dev-python/genty/genty-1.3.2-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Allows you to run a test with multiple data sets"
+HOMEPAGE="
+ https://pypi.org/project/genty/
+ https://github.com/box/genty/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/gpep517/Manifest b/dev-python/gpep517/Manifest
index 0a6fdbf5e3ed..4c2c02a42328 100644
--- a/dev-python/gpep517/Manifest
+++ b/dev-python/gpep517/Manifest
@@ -1,2 +1,3 @@
DIST gpep517-3.gh.tar.gz 7074 BLAKE2B 99a499ae13b6aac41e86d11735f0e49a5dc921881a1efa94bee19bfd779af6827707d05d6407ed15e4a3a6b518c8c0b3f50901e3b12df41081930f83b288e461 SHA512 90f756f5a1d783e9d402e098162a70b363a0a81e331e810e5c89c3302bb5839032603252bad1c98c176a7828b70adfac967e39ba455dcd3a20097e74923980c8
DIST gpep517-5.gh.tar.gz 9568 BLAKE2B 7641ae7792a15be7241d9c02622b589a796a96c76894c29f37733e33820532042f6d5b8018ef021b487c299f3a28adf37949e96c38148d88c140ed6926e95f2b SHA512 3618f3d17cc367716c4813d75814ef295896f210ff32c13f1ef8ad8cde2120a30ba69705e14dbb1e5528bf5a348f9f8c5f5de8b416608cd496733e94afbeb2c6
+DIST gpep517-6.gh.tar.gz 9757 BLAKE2B f1b39f30b7d775330bddfd353610de7c26e34c5572cdaedbb078cc61c711e90e1c520b5e6e5532b0879ccc1eb7025a793c6f8d9745d93967eabbdd9edef69c6a SHA512 681108dab418d0d2d5b017f19bf8802479655f22eb6b72e9d78c6bbd2d08583751a465377c2006c507f0ea258d2d46bf9300865896af4458a763b56a86abe329
diff --git a/dev-python/gpep517/gpep517-6.ebuild b/dev-python/gpep517/gpep517-6.ebuild
new file mode 100644
index 000000000000..1d630f7f146a
--- /dev/null
+++ b/dev-python/gpep517/gpep517-6.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=manual
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A backend script to aid installing Python packages in Gentoo"
+HOMEPAGE="
+ https://pypi.org/project/gpep517/
+ https://github.com/mgorny/gpep517/
+"
+SRC_URI="
+ https://github.com/mgorny/gpep517/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-python/installer-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.2.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+# do not use any build system to avoid circular deps
+python_compile() { :; }
+
+python_install() {
+ python_domodule gpep517
+ python_newscript - gpep517 <<-EOF
+ #!${EPREFIX}/usr/bin/python
+ import sys
+ from gpep517.__main__ import main
+ sys.exit(main())
+ EOF
+}
diff --git a/dev-python/ipyparallel/Manifest b/dev-python/ipyparallel/Manifest
index 140372be20b3..7daa2fd073a4 100644
--- a/dev-python/ipyparallel/Manifest
+++ b/dev-python/ipyparallel/Manifest
@@ -3,3 +3,4 @@ DIST ipyparallel-7.1.0.tar.gz 4029033 BLAKE2B badf4bdad0dca0898e62abee3e5a48b064
DIST ipyparallel-8.1.0.tar.gz 9365732 BLAKE2B 847931de17f61b537a6350358a1fcc8e629b843e1216fcc0f60333f7baf42b0739f864bd1a02daefb839b90cfb4c65b6101de3271e89d529dd8493513b686ced SHA512 21e1d3d9e04c7567889e923ff0f1b140251518efd331dd2180a42142eedbb4c92eaeafce17bf2287e1d36ef4e5951f2f50021d9b9a96c266e4e94e1a3ac34347
DIST ipyparallel-8.2.0.tar.gz 9367069 BLAKE2B e4e881f774422ead72778d40d85e5732d7da8e8e66107c06d65557c6701c94bd5c2592cea2def8b2ad405db78fe70c87944e4b89eb9fe3a4bcf38464b008979a SHA512 f6e62eaa86fa63ef1417e850de3eaf5ba228a1ad1da99c66b64b371010b57ba805201f18c97485ded24899afe7b22edbec23ca0e21344e9c2c2eacfcd6fd8adf
DIST ipyparallel-8.2.1.tar.gz 9367709 BLAKE2B 5be16c1060a31295e6b1908cfa3530d7ade6337de78ee057f595ab94ed5dc6c4c49b08f39ded0e8b6aa11ee7eda788f27b2f57bad851908f805d681e0b98efc3 SHA512 d06d1e272e27c0941f0fd6799cc78bbaf188ba1fb22f03016925ffbbf6b3e273eb8c372d7c0509b2f044ccfbfe3f35071547712e79a26a802e673340021921ac
+DIST ipyparallel-8.3.0.tar.gz 6862893 BLAKE2B 9009f0fa06422b4dcd9e920d6a568030ff9b20695f3a9eab0f730b48c08465bba7682929c139bac3ef65739be2152224ca922faa6a02b6d73be2f3fb572afa26 SHA512 01ae448cd3274aa752abb033706e77584bc164c7cad626970269e516d33dda949fc0bab9a5cc3f018b2aaac60ee55078780c02ba3c9a2079f12036a869a1f339
diff --git a/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild b/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild
new file mode 100644
index 000000000000..b7768f2f3dc2
--- /dev/null
+++ b/dev-python/ipyparallel/ipyparallel-8.3.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Interactive Parallel Computing with IPython"
+HOMEPAGE="https://ipyparallel.readthedocs.io/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-18[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3[${PYTHON_USEDEP}]
+ >=dev-python/ipython-4[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ dev-python/jupyter_server[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-4.4[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ >=www-servers/tornado-5.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/flit_core[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[test]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-tornado[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ )
+"
+
+# TODO: package myst_parser
+# distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.1.0-test-timeouts.patch
+)
+
+src_configure() {
+ export IPP_DISABLE_JS=1
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # we don't run a mongo instance for tests
+ ipyparallel/tests/test_mongodb.py::TestMongoBackend
+ # TODO
+ ipyparallel/tests/test_util.py::test_disambiguate_ip
+ # Gets upset that a timeout _doesn't_ occur, presumably because
+ # we're cranking up too many test timeouts. Oh well.
+ # bug #823458#c3
+ ipyparallel/tests/test_asyncresult.py::AsyncResultTest::test_wait_for_send
+ # We could patch the timeout for these too but they're going to be inherently
+ # fragile anyway based on what they do.
+ ipyparallel/tests/test_client.py::TestClient::test_activate
+ ipyparallel/tests/test_client.py::TestClient::test_lazy_all_targets
+ ipyparallel/tests/test_client.py::TestClient::test_wait_for_engines
+ )
+ [[ ${EPYTHON} == python3.10 ]] && EPYTEST_DESELECT+=(
+ # failing due to irrelevant warnings
+ ipyparallel/tests/test_client.py::TestClient::test_local_ip_true_doesnt_trigger_warning
+ )
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # move /usr/etc stuff to /etc
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ optfeature "Jupyter Notebook integration" dev-python/notebook
+}
diff --git a/dev-python/nbclient/Manifest b/dev-python/nbclient/Manifest
index dfecd24fb822..f4554ea5a041 100644
--- a/dev-python/nbclient/Manifest
+++ b/dev-python/nbclient/Manifest
@@ -1,3 +1,4 @@
DIST nbclient-0.5.13.gh.tar.gz 75335 BLAKE2B 02a1d7d84b51c3af81f4d511e3a68a94d28478d09241a174309d9338a10be9c2e7cc48601bfb844dcad979eca867890e96df47d0e2aa6d7f7881a2e899b79ab5 SHA512 cebb9c4216d4c1668908a0b332a32d63825e7c3cfcf78b3e918df16364a04a12c396646f4e0b215a9bbc40d1be907a361f90aff3721e299d17c852f8acec0d04
DIST nbclient-0.6.0.gh.tar.gz 76454 BLAKE2B a6b9f829d4d67f18d489d913000d6507d988ba2e88a0a63c1e750941fa24d071b4c711f1bf2f8af154b62b853378c9c1a97426d8b4082bf6911be1da6935cb26 SHA512 3e986b44ebafde75b95042fc32f38d152487b5ce3a62aac4a41eca27c35d24c795c4dd0e694a9f211d06bc37ea4f76959ce30ebb8a19e04ed4ffafd5b8f1a4a1
DIST nbclient-0.6.2.tar.gz 77390 BLAKE2B 0281b8fdfb01f31f2a1b9ed4b85b4dae1f3becc4afce29bb4359291840cf0dd69ee8acc97872e7c7e532c337d3a41a5d694b3ba644883f11ccf503439216eafa SHA512 878657911f30ae573a42f5a85d5e6359b32ae1aed178491912a51947677263137ce8ab7de0a34bb149a2fd4aab872c34977eb6ce1c77701ebfd1082b60576dd5
+DIST nbclient-0.6.3.tar.gz 77571 BLAKE2B 41b96f8c174506a97b257b352e2614f023785137bf79d57d9bd4fd38942b54cc9db97bdf63c65579e67f88afd57ff81cbc798880080842e981797ee07be9f441 SHA512 bf267f3f49289cadcce412dc772f01dab5cd4d5a4ceb3fa12b076357d04191a15573d540773d47d58a14570fe219a9591ab539b917b52f3f7a902aac0493ba82
diff --git a/dev-python/nbclient/nbclient-0.6.3.ebuild b/dev-python/nbclient/nbclient-0.6.3.ebuild
new file mode 100644
index 000000000000..28a83bfde42d
--- /dev/null
+++ b/dev-python/nbclient/nbclient-0.6.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client library for executing Jupyter notebooks"
+HOMEPAGE="
+ https://nbclient.readthedocs.io/en/latest/
+ https://github.com/jupyter/nbclient/
+ https://pypi.org/project/nbclient/
+"
+SRC_URI="
+ https://github.com/jupyter/nbclient/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter_client-6.1.5[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.0[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ 'nbclient/tests/test_client.py::test_run_all_notebooks[Interrupt.ipynb-opts6]'
+)
diff --git a/dev-python/nose/nose-1.3.7_p20211111_p1-r1.ebuild b/dev-python/nose/nose-1.3.7_p20211111_p1-r1.ebuild
new file mode 100644
index 000000000000..59b987ede74e
--- /dev/null
+++ b/dev-python/nose/nose-1.3.7_p20211111_p1-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+EGIT_COMMIT="94fd6746619ee8728f2b8740ebf2d1582b03cb15"
+DESCRIPTION="Unittest extension with automatic test suite discovery and easy test authoring"
+HOMEPAGE="
+ https://pypi.org/project/nose/
+ https://nose.readthedocs.io/en/latest/
+ https://github.com/nose-devs/nose
+"
+SRC_URI="
+ https://github.com/arthurzam/nose/archive/${EGIT_COMMIT}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ !hppa? ( dev-python/coverage[${PYTHON_USEDEP}] )
+ ' python3_{8..10} pypy3)
+ $(python_gen_cond_dep '
+ dev-python/twisted[${PYTHON_USEDEP}]
+ ' python3_{8..10})
+ )
+"
+
+src_prepare() {
+ # failing to find configuration file
+ sed -e 's/test_cover_options_config_file/_&/' \
+ -i unit_tests/test_cover_plugin.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" -m nose -v -a "!network" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+src_install() {
+ distutils-r1_src_install
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/psutil/psutil-5.9.0.ebuild b/dev-python/psutil/psutil-5.9.0.ebuild
index 668e660dded2..267dff72dcf6 100644
--- a/dev-python/psutil/psutil-5.9.0.ebuild
+++ b/dev-python/psutil/psutil-5.9.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 5bf741887a78..2d33aa5a176b 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -2,3 +2,4 @@ DIST pyghmi-1.5.36.tar.gz 240917 BLAKE2B 69e7f990c97a889d90e06feeb1b7b3fc73d6441
DIST pyghmi-1.5.37.tar.gz 241173 BLAKE2B 7094150c6002b59e1fcd9b337987d3506928222d55195c024027d31d281e5074210dac91c64853bbaac628dc112b9c4081a7193146927112dcc987f789faa018 SHA512 e70894f6e63afadc68bae88ebd8ff1f63904106db86b582b547a6f1eb7acde903352f08ffc62d7915e2baa45507f70331a6dc9f6b0dcd471fd330e39a69d064f
DIST pyghmi-1.5.38.tar.gz 241170 BLAKE2B f056fb985ca1281fc481bf9ccaa5a6c86a05655fa6d3055e4ef2d9823e2893fff7ce795aebca5fafca5a368836372a71c73b6d8210b458f1dc54e9b68e429d4c SHA512 8d134cf2fa4c1226debe383832141e36f77a465acf02b2fcdf1ba5b621bf23444f40c69b9ce98c0ad096a8f2e5e9b04b4d0627d25354b76a130bece8d75f91c8
DIST pyghmi-1.5.39.tar.gz 241157 BLAKE2B f406ad0dd6ae2b45c34aae14738f10c86f0a62082f7da2ab75b8e01558a9c0a8aa4c123cca935a0f3f03f5ae92d799d283dd81155d3c31c886555184f69be2b7 SHA512 efbc603002870edbeb4944207521077f5c25ed080578d3008a542a0e65d3769fe1da7105ed15d85acc3931a126a440e64b6ff9d88f6f4a3b66a5cdabcbab3e4c
+DIST pyghmi-1.5.40.tar.gz 241230 BLAKE2B 265fc07c18fe17987340932d1b67bb631907a0b66832ca79794117ccff9bff99fcf9046f2d0911878b16b2b2e179fe05b0980e34ec9125895abeda1a7d04aca5 SHA512 3bf35fb68fa867689b3218963fc811a94d26072688eee5b1952d5694608d81b1fd6658bb335e96dac57513bff3ee8a10db83a79d6373a025a23c1ad0fba7b172
diff --git a/dev-python/pyghmi/pyghmi-1.5.40.ebuild b/dev-python/pyghmi/pyghmi-1.5.40.ebuild
new file mode 100644
index 000000000000..3f4d5d210c90
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.40.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="
+ https://opendev.org/x/pyghmi/
+ https://pypi.org/project/pyghmi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-nbxmpp/Manifest b/dev-python/python-nbxmpp/Manifest
index cdd40fd16ea2..79c16c8f1851 100644
--- a/dev-python/python-nbxmpp/Manifest
+++ b/dev-python/python-nbxmpp/Manifest
@@ -1 +1,2 @@
DIST python-nbxmpp-nbxmpp-2.0.6.tar.bz2 122203 BLAKE2B 925604002f4363f1e0b72f05c13742f4652ba565a9faa48faf8d47688f480a7f1d7585c593b0dcf07bded8c4aa3a1d02e9697742a07b9e815daec062dfb93104 SHA512 a536b25c8a6298892a51adef4b64b75ffab88ce02fb08fc07ecd1cfe2bc794262d4d58a93248439723e6e0544485da7351bb98189b0e422a1f77b01c6f6d238e
+DIST python-nbxmpp-nbxmpp-3.0.1.tar.bz2 125866 BLAKE2B 9338dc599a1a3ad1daa455877c5078a7dbd3b76f9914ca7f43b4defceb4f62dc84d77e9def7e08cd42d970d7e1461befb7208bde1c6db784de69c4bf92d3ada6 SHA512 3cf8de99f418b8f4e52b03147b305573e7fbaf79277f27b9b4b05f88686390d28cb8c3437c511d291cf677fdb96ac15589422b7395827b8a9f2298e15eb1a48b
diff --git a/dev-python/python-nbxmpp/python-nbxmpp-3.0.1.ebuild b/dev-python/python-nbxmpp/python-nbxmpp-3.0.1.ebuild
new file mode 100644
index 000000000000..dd07f83a5940
--- /dev/null
+++ b/dev-python/python-nbxmpp/python-nbxmpp-3.0.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=python-nbxmpp-nbxmpp-${PV}
+DESCRIPTION="Python library to use Jabber/XMPP networks in a non-blocking way"
+HOMEPAGE="
+ https://dev.gajim.org/gajim/python-nbxmpp/
+ https://pypi.org/project/nbxmpp/
+"
+SRC_URI="
+ https://dev.gajim.org/gajim/python-nbxmpp/-/archive/nbxmpp-${PV}/${MY_P}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-libs/gobject-introspection
+ net-libs/libsoup[introspection]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/precis-i18n[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index d7a67e552f33..d3bf1fbb3f1e 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1,3 +1,4 @@
DIST redis-py-4.1.4.tar.gz 2352106 BLAKE2B a7f40d381e3e1d295d2ce88f0adb897704d0065ee7d5bb00108c2c8c67ef649ea63d4ca06dbbe2b21b2f92d70d96f8e2d32a7992ecf702bb4c73589f30c1bae8 SHA512 6dd1bc7622529382901b2fe6e63a5f9d6a4b89175b486c879a63cc8f0e708737431dfe5b834124f0d33f34540ac54813a0e6953bbed3a9dbd226597b4b1cb3ae
DIST redis-py-4.2.2.tar.gz 2421362 BLAKE2B ab59a649e8bc08d706536f994f0462505cea39828072884739b1a6434b45fd120e3b8acb51e8e88ec9fe0ce9acc0bfd6a5ff92bb67080724c7b121ef539af16f SHA512 80673d48cd97af1c5ebc67e919f16891ccb20cd30bc06619ddffeb117ad87f82b73f9b9bda6d36829bc51a35aa3c9b2af7c879ec665cc9664bdd86ac6510095b
DIST redis-py-4.3.0.gh.tar.gz 4605505 BLAKE2B a7cdf8941f99291f6c6f53e6b11b1cd45fd64d0d96e11848d648964518a970275152c00c3aec3a0342ffc5a4805624344076154d007684ce90137f37df4d90f7 SHA512 881f250f04cd0376d2e617ff07cba3c4f987574d64b0813890310412293c7825bb11a5117b65b27dad05bbdff250f44a736d542ee116034b7a644c6e58f981fd
+DIST redis-py-4.3.1.gh.tar.gz 4605537 BLAKE2B 239dd9be0e6c30dbaeeb609f222802f33e4a4e4a743fe1f348f542fe899b89e47ad9513bf99db713d3cbcb13df0e6593d4631745c3afc3368f8a9e8333b759a8 SHA512 8d38876fbf3593825bf593188a9749bec0f652907f510657e32043ed26fd6d59b1554870f59af65939754500645e4c4c8f15bcb8eab1385a0640c374aa938643
diff --git a/dev-python/redis-py/redis-py-4.3.1.ebuild b/dev-python/redis-py/redis-py-4.3.1.ebuild
new file mode 100644
index 000000000000..0a8f178b9ea3
--- /dev/null
+++ b/dev-python/redis-py/redis-py-4.3.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/async_timeout-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/deprecated-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ <dev-db/redis-7
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ # "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/repoze-sphinx-autointerface/Manifest b/dev-python/repoze-sphinx-autointerface/Manifest
deleted file mode 100644
index 7229b21f5ed7..000000000000
--- a/dev-python/repoze-sphinx-autointerface/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST repoze.sphinx.autointerface-0.8.tar.gz 8987 BLAKE2B aeeaf23f18394eae8ff817e7f4838a332d34e3c7717a67bf123c02a6bd7b6122d727a0120922b0471d6d6d7a1b2312058373a2498150b36446edc049a178773d SHA512 40aa3401a5f542329dbce6b8b27fad0b94d3077ac9a0e01cf2f1f43da5bcb9202eb76eaaa8b1b81edf51a391ebe32eefde59afab1673d86b412995185a4866f3
diff --git a/dev-python/repoze-sphinx-autointerface/metadata.xml b/dev-python/repoze-sphinx-autointerface/metadata.xml
deleted file mode 100644
index 5346463da2ee..000000000000
--- a/dev-python/repoze-sphinx-autointerface/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>dolsen@gentoo.org</email>
- <name>Brian Dolbec</name>
- </maintainer>
-
- <origin>gentoo-staging</origin>
- <stabilize-allarches/>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-0.8-r1.ebuild b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-0.8-r1.ebuild
deleted file mode 100644
index a6430b1e5d68..000000000000
--- a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-0.8-r1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-
-inherit distutils-r1
-
-MY_PN=${PN//-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Sphinx extension: auto-generates API docs from Zope interfaces"
-HOMEPAGE="https://pypi.org/project/repoze.sphinx.autointerface/"
-SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="repoze"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/zope-interface[${PYTHON_USEDEP}]
-"
-
-python_compile() {
- distutils-r1_python_compile
- find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/simplekml/Manifest b/dev-python/simplekml/Manifest
index ba3601989050..6cb1aa8df4cd 100644
--- a/dev-python/simplekml/Manifest
+++ b/dev-python/simplekml/Manifest
@@ -1 +1,2 @@
DIST simplekml-1.3.5.tar.gz 39069 BLAKE2B 3aceacc028618e553cd7c9a9d7d4b9a9223c8942816c193a68e6e6b8ead41b68d6a55a89ae4811ff0eb5d5f167605e8e58686384b5981735569d6db34a1259b9 SHA512 5f9c57b953fa27f533905536c4abfc580098e912d937cdce543ae55fb8da22f31ed84a35a0a0526cfb208c050fb407445ee81ad8cbe4ec823c8d896179446182
+DIST simplekml-1.3.6.tar.gz 52999 BLAKE2B 6838a82c4459e7d223078dd668814c739e043a1201903f1103dfdb1763e7c8f90e45b9404ba91720683ebeac42597d4a764c92a40a1645bd6c9caeecb003c25e SHA512 0b589559141571f62936ac981c3970e64046169bd5444e1409594dcaf3245c674dfcaa35e607e9870b63b3eb806e5c7cd7a4600924dbb0680a03ff458e58bdef
diff --git a/dev-python/simplekml/simplekml-1.3.6.ebuild b/dev-python/simplekml/simplekml-1.3.6.ebuild
new file mode 100644
index 000000000000..c4addc96c370
--- /dev/null
+++ b/dev-python/simplekml/simplekml-1.3.6.ebuild
@@ -0,0 +1,16 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Enables you to generate KML with as little effort as possible"
+HOMEPAGE="https://pypi.org/project/simplekml/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index e3b43a99d7a8..447315136a45 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,3 +1,4 @@
DIST stripe-2.74.0.tar.gz 240731 BLAKE2B 68d80f0dab200087f454c98bfabf483ce7b6db06061d5dce81bc258e0425576b54a5e9c6a9134d59064ae978db4bdda407f12eaa8ac48b51a87722473732a8b9 SHA512 f7f549e5b5eec38248320f7852f0c5fa3476f3d68aab646f04f207e0d6be20cb54ed13e4093d40313502c9aed7b60392c20c1baded4bb845703647d8c022342b
DIST stripe-2.75.0.tar.gz 240179 BLAKE2B db5c94bc21a584ab5241ebf639a7e78f8de56f46e9460dd00cecb8907fac701f4edae8adbdad249eb98921a3dc81ce670ad846784d7c5743b02eb28ee2f1c034 SHA512 e4ddc675cffa6b1fa087c8d68c9717f55b59016a22605d539a2c9f4d6b5746e166e7efb38d5a001b5c00d32678b3b263fce9a27537b6a3edcdd8c6f2a60eb5a5
DIST stripe-2.76.0.tar.gz 240679 BLAKE2B 983761ab25f2a5b0206e4c2261cfd42a07e4e9d0e76f655e06f2cfb0fb41fc18787a04e8c2652632b6060b573a2ca5969fb629fd23e631b951da6b72728e86c9 SHA512 e416043dff74791d3f06809ed611ea1e250b9dae9404092915a674c6fe65eba546eb020cfdb7635fde8d0626e2c1fa4176cec7362870fc02bee619216b58cec2
+DIST stripe-3.0.0.tar.gz 240569 BLAKE2B 82e4d7ae131af395922f0af33344b74e374380e935362c5a25f116be136ff85316b5f4f2a092b5e03c1041addfc5562bb248ac4ab89efd6fb5f5fdc9728637f5 SHA512 2d0adbd3fe3c79317305153597d4302fed657876701aef332151d10b2370405373c9aaeee696ffac4ca8925d02391215523b95ca62bc67f801ad52da5b125c9a
diff --git a/dev-python/stripe/stripe-3.0.0.ebuild b/dev-python/stripe/stripe-3.0.0.ebuild
new file mode 100644
index 000000000000..ff5cf9acabb9
--- /dev/null
+++ b/dev-python/stripe/stripe-3.0.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.126.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+python_test() {
+ epytest tests
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=$!
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
+ eend $? "Port ${stripe_mock_port} unavailable"
+ if [[ $? -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 0c6f793cc181..eeeb851c7633 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1 +1,2 @@
DIST translate-3.6.0.gh.tar.gz 1150765 BLAKE2B 0b69d21782d8d6b3ae322b480ad2205e577d87a3a9448f8a428f666d3d141063ad06f83eaa38f5d5903cc4263bbdcf261523fef57111c1ba705b640835c11416 SHA512 3ce371cb688dcfa656676fdc3ca920d76088fad67dbfb112511a0439250913e1f4587df681752bf1b288b9c4af3e4ebd11b8f8db51670f0fe14e9db68d7917f7
+DIST translate-3.6.1.gh.tar.gz 1151674 BLAKE2B df730fe08f0f52c41acec8429adfaae7691a2776032106acfa4f14dad65d38cf3e3ee5288b992f4aa481e12e6bb8ae42aedff9da007c5396df7a4d45d5a879cd SHA512 4fb433ce9b39a53ab0c9a809a5dc509a678f06907a6279835b077740a5b39991e42db372953c3c51d39d9a9e5754a3d6747a87b53b3594f2a93aac8760083078
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.6.1.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.6.1.ebuild
new file mode 100644
index 000000000000..18599f013a77
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.6.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="https://github.com/translate/translate"
+SRC_URI="
+ https://github.com/translate/translate/archive/refs/tags/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+BDEPEND="
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${BDEPEND}
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND+="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-bootstrap-theme
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/translate-toolkit-3.3.0-no-install-docs.patch
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}
diff --git a/dev-python/types-python-dateutil/Manifest b/dev-python/types-python-dateutil/Manifest
index ecddef1b31c6..7495b0c3af53 100644
--- a/dev-python/types-python-dateutil/Manifest
+++ b/dev-python/types-python-dateutil/Manifest
@@ -1,2 +1,2 @@
-DIST types-python-dateutil-2.8.12.tar.gz 6702 BLAKE2B 1435e834c4c0e6a1a2dfb22e4f98fe2382bb9942d69f44892ce381b9949579361b1cf6efd8e7ec0979101d721877534b19410a4527aa034b5e4c0d382fe7dd0a SHA512 20bc518462ee692ae642a1762c6f958e6d914c9b005b5dad9f68938b7e1a010161d5f23ece1be74dd0adb0dda85be20c81a44efa4ba181bd18f10e74c7a28967
DIST types-python-dateutil-2.8.14.tar.gz 6833 BLAKE2B 5a0ac6d195219956e9416af735b14715ce9beefad02ae2f5898693b2d55f406c5a4039175616dd6f7637d8a22cefae6cb2d82737cb2da86b1e76e1c411df9f41 SHA512 07a392b00157d07f05c6332915c33a3595dcb623b92bf70ed4ad91cccc36334df2cb9f04701288ba42301149d4e78cfdd6ce527772f8261feb11b1ec588eb86d
+DIST types-python-dateutil-2.8.15.tar.gz 6923 BLAKE2B 53bfdff4ebb585d4b0d9c9a22c8e70aae87ce2b154748f54823713e68f8faa21ae3eb7165359e6763b2b0027e5128fedba4d66e6bd70232bd6650cf9bfe425dd SHA512 e2efd88dfc27b5a7ace8147b9a4d924dd32471fe59d65c7ff8bc9576d1d8b5b6bdc83e808cabb35c9a866614debd8fafdd779166efa2b51069056ae9330f9fcc
diff --git a/dev-python/types-python-dateutil/types-python-dateutil-2.8.12.ebuild b/dev-python/types-python-dateutil/types-python-dateutil-2.8.15.ebuild
index fcc908ef2fa8..fcc908ef2fa8 100644
--- a/dev-python/types-python-dateutil/types-python-dateutil-2.8.12.ebuild
+++ b/dev-python/types-python-dateutil/types-python-dateutil-2.8.15.ebuild
diff --git a/dev-python/types-pytz/Manifest b/dev-python/types-pytz/Manifest
index cb5379ea7868..3d4131f7065b 100644
--- a/dev-python/types-pytz/Manifest
+++ b/dev-python/types-pytz/Manifest
@@ -1,2 +1,2 @@
-DIST types-pytz-2021.3.6.tar.gz 3134 BLAKE2B a3be61269c8dcebb1ba6d1ff3f0c5ac383a04783d6d572c7cf5ae48aba02ceebad91092d51f7e1cff3a230597f19be6d03c3fa1b927fbcae943be3ff425a8269 SHA512 d172b3192f4b2e5cec715205507cf04cb8347db29cb0a33dd9d610a4d936e57b7a72ab05e05648c716582ac24b19b48381e16e31075d6ae3f46c904f27073de4
DIST types-pytz-2021.3.7.tar.gz 3179 BLAKE2B d5adca00fbe3c9b97f2cd8292de05016e3f26286403353eed1f177db30578787b29fed93d46d96766aa98e9ae9ae3eb484547a7b335f885d4b48581025f0e116 SHA512 90cefe450b1c866095927588625a595c2a45345af6784b7cef6bc93c7feaf351bea1c4cf37ad938db792e8ad9a74cb9695e8eb3646f7ad96d0bcc7ecef91ac00
+DIST types-pytz-2021.3.8.tar.gz 3253 BLAKE2B 873f8126ecaf5055bcd9aa87f8632cee8cf92f7bfe51f0d0df7217af51053f40fe98f18f511db42eefc2d904cf3f1f11b228cf8c6fa15f5afcbc2e8e91f539fe SHA512 5b7dcf5279be55225ec66f9f9cc657cb3ae21acdcd41322a194a8cc6ccd79e60052191cb664378f414172d9f5d92573ab1f3322e9909ecd1e4ed95b36c7630ba
diff --git a/dev-python/types-pytz/types-pytz-2021.3.6.ebuild b/dev-python/types-pytz/types-pytz-2021.3.8.ebuild
index a58168958658..a58168958658 100644
--- a/dev-python/types-pytz/types-pytz-2021.3.6.ebuild
+++ b/dev-python/types-pytz/types-pytz-2021.3.8.ebuild
diff --git a/dev-python/unittest-mixins/unittest-mixins-1.6-r2.ebuild b/dev-python/unittest-mixins/unittest-mixins-1.6-r2.ebuild
new file mode 100644
index 000000000000..f3ef1e0337ed
--- /dev/null
+++ b/dev-python/unittest-mixins/unittest-mixins-1.6-r2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A set of mixin classes and other helpers for unittest test case classes"
+HOMEPAGE="
+ https://github.com/nedbat/unittest-mixins/
+ https://pypi.org/project/unittest-mixins/
+"
+SRC_URI="
+ https://github.com/nedbat/unittest-mixins/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/zope-testrunner/Manifest b/dev-python/zope-testrunner/Manifest
deleted file mode 100644
index 23757e8d3688..000000000000
--- a/dev-python/zope-testrunner/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST zope.testrunner-5.3.0.tar.gz 141406 BLAKE2B f3434e9f22514fffe912385f61d163e42ba1dcd9e9d3f2b3f1d504b608c73804fa38b14a5ed1bf288b75b98ef106024a27de925c404ad67be6acc6c1d6c8f06d SHA512 6fd9375c7b58847868aaf04e85722fcc2b1fe7a8e4ae2ec9103dcb091e6f837d649557ba014146876f814345240b20863bf1584f32212b0b1b28c38ed343b87a
-DIST zope.testrunner-5.4.0.tar.gz 132150 BLAKE2B b8367e9d4ac32923099424e0c7a3f00ddb540f966eae05ebced6a6d49ac698e2a07449bb25d26d59d57ef00d3040c8a5f0c03cc53878c01ecfb1cde671780fc8 SHA512 c8c6cbbd2cc352f52068ada3c23305cc270736aaa20c14f7c218bc40d6873cb8e8ecb4e2e1601b8833d32e91ac87e0067515458b96194cfc23b6d02cb71613f2
diff --git a/dev-python/zope-testrunner/files/zope-testrunner-5.3.0-fix-test-py3.10.patch b/dev-python/zope-testrunner/files/zope-testrunner-5.3.0-fix-test-py3.10.patch
deleted file mode 100644
index 6d495ba2cf5f..000000000000
--- a/dev-python/zope-testrunner/files/zope-testrunner-5.3.0-fix-test-py3.10.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-From af8bfec49d90613633b76e914a6f54884463ba94 Mon Sep 17 00:00:00 2001
-From: Jerry James <loganjerry@gmail.com>
-Date: Mon, 10 May 2021 09:55:23 -0600
-Subject: [PATCH] Adapt to python 3.10 SyntaxError messages
-
----
- .../testrunner/tests/testrunner-debugging-import-failure.rst | 2 +-
- src/zope/testrunner/tests/testrunner-errors.rst | 2 +-
- src/zope/testrunner/tests/testrunner-subunit-v2.rst | 2 +-
- src/zope/testrunner/tests/testrunner-subunit.rst | 2 +-
- 4 files changed, 4 insertions(+), 4 deletions(-)
-
-diff --git a/src/zope/testrunner/tests/testrunner-debugging-import-failure.rst b/src/zope/testrunner/tests/testrunner-debugging-import-failure.rst
-index 1613cb9..c0b2aee 100644
---- a/src/zope/testrunner/tests/testrunner-debugging-import-failure.rst
-+++ b/src/zope/testrunner/tests/testrunner-debugging-import-failure.rst
-@@ -41,7 +41,7 @@ Post-mortem debugging also works when there is an import failure.
- File ".../TESTS-DIR/tests.py", line 2
- impot doctest
- ^
-- SyntaxError: invalid syntax
-+ SyntaxError: invalid syntax...
- > ...find.py(399)import_name()
- -> __import__(name)
- (Pdb) c
-diff --git a/src/zope/testrunner/tests/testrunner-errors.rst b/src/zope/testrunner/tests/testrunner-errors.rst
-index e210fe3..05d74b8 100644
---- a/src/zope/testrunner/tests/testrunner-errors.rst
-+++ b/src/zope/testrunner/tests/testrunner-errors.rst
-@@ -818,7 +818,7 @@ Then run the tests:
- File "testrunner-ex/sample2/sampletests_i.py", line 1
- importx unittest
- ^
-- SyntaxError: invalid syntax
-+ SyntaxError: invalid syntax...
- <BLANKLINE>
- <BLANKLINE>
- Module: sample2.sample21.sampletests_i
-diff --git a/src/zope/testrunner/tests/testrunner-subunit-v2.rst b/src/zope/testrunner/tests/testrunner-subunit-v2.rst
-index 8658fe3..c165b23 100644
---- a/src/zope/testrunner/tests/testrunner-subunit-v2.rst
-+++ b/src/zope/testrunner/tests/testrunner-subunit-v2.rst
-@@ -447,7 +447,7 @@ Let's run tests including a module with some bad syntax:
- File "/home/benji/workspace/all-the-trunks/zope.testrunner/src/zope/testrunner/testrunner-ex/sample2/badsyntax.py", line 16
- importx unittest # noqa: E999
- ^
-- SyntaxError: invalid syntax
-+ SyntaxError: invalid syntax...
- <BLANKLINE>
- id=sample2.badsyntax status=fail tags=(zope:import_error)
- id=sample2.sample21.sampletests_i status=inprogress
-diff --git a/src/zope/testrunner/tests/testrunner-subunit.rst b/src/zope/testrunner/tests/testrunner-subunit.rst
-index 6597a88..1882671 100644
---- a/src/zope/testrunner/tests/testrunner-subunit.rst
-+++ b/src/zope/testrunner/tests/testrunner-subunit.rst
-@@ -480,7 +480,7 @@ Let's run tests including a module with some bad syntax:
- File "/home/benji/workspace/all-the-trunks/zope.testrunner/src/zope/testrunner/testrunner-ex/sample2/badsyntax.py", line 16
- importx unittest # noqa: E999
- ^
-- SyntaxError: invalid syntax
-+ SyntaxError: invalid syntax...
- ]
- test: sample2.sample21.sampletests_i
- tags: zope:import_error
diff --git a/dev-python/zope-testrunner/metadata.xml b/dev-python/zope-testrunner/metadata.xml
deleted file mode 100644
index ea8988e8af6a..000000000000
--- a/dev-python/zope-testrunner/metadata.xml
+++ /dev/null
@@ -1,11 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- <name>Python</name>
- </maintainer>
-
- <origin>gentoo-staging</origin>
- <stabilize-allarches/>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/zope-testrunner/zope-testrunner-5.3.0.ebuild b/dev-python/zope-testrunner/zope-testrunner-5.3.0.ebuild
deleted file mode 100644
index 01d9c8f48b9f..000000000000
--- a/dev-python/zope-testrunner/zope-testrunner-5.3.0.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Zope testrunner script"
-HOMEPAGE="https://pypi.org/project/zope.testrunner/ https://github.com/zopefoundation/zope.testrunner"
-SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-RDEPEND="
- dev-python/namespace-zope[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/zope-exceptions[${PYTHON_USEDEP}]
- dev-python/zope-interface[${PYTHON_USEDEP}]"
-BDEPEND="
- test? ( dev-python/zope-testing[${PYTHON_USEDEP}] )"
-
-PATCHES=(
- "${FILESDIR}/${P}-fix-test-py3.10.patch"
-)
-
-distutils_enable_tests setup.py
-
-python_install_all() {
- distutils-r1_python_install_all
-
- # remove .pth files since dev-python/namespace-zope handles the ns
- find "${D}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/zope-testrunner/zope-testrunner-5.4.0.ebuild b/dev-python/zope-testrunner/zope-testrunner-5.4.0.ebuild
deleted file mode 100644
index 2ed0721b0159..000000000000
--- a/dev-python/zope-testrunner/zope-testrunner-5.4.0.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Zope testrunner script"
-HOMEPAGE="https://pypi.org/project/zope.testrunner/ https://github.com/zopefoundation/zope.testrunner"
-SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
-
-RDEPEND="
- dev-python/namespace-zope[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/zope-exceptions[${PYTHON_USEDEP}]
- dev-python/zope-interface[${PYTHON_USEDEP}]"
-BDEPEND="
- test? ( dev-python/zope-testing[${PYTHON_USEDEP}] )"
-
-distutils_enable_tests setup.py
-
-python_install_all() {
- distutils-r1_python_install_all
-
- # remove .pth files since dev-python/namespace-zope handles the ns
- find "${D}" -name '*.pth' -delete || die
-}